Last Comment Bug 574654 - Remove browser.tabs.tabMinWidth and browser.tabs.tabMaxWidth in favor of CSS
: Remove browser.tabs.tabMinWidth and browser.tabs.tabMaxWidth in favor of CSS
Status: VERIFIED FIXED
[see comment 76 before commenting]
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: Firefox 4.0b2
Assigned To: Dão Gottwald [:dao]
:
: Dão Gottwald [:dao]
Mentors:
https://addons.mozilla.org/en-US/fire...
: 577444 577986 (view as bug list)
Depends on: 644237 658729 978033
Blocks: 585417
  Show dependency treegraph
 
Reported: 2010-06-25 06:37 PDT by Dão Gottwald [:dao]
Modified: 2016-02-02 00:57 PST (History)
62 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (7.01 KB, patch)
2010-06-25 06:37 PDT, Dão Gottwald [:dao]
asaf: review+
Details | Diff | Splinter Review
DEVELOPERS and Co (78.95 KB, image/jpeg)
2011-03-25 08:48 PDT, Virtual_ManPL [:Virtual] - (ni? me)
no flags Details
What comes to mind when thinking of whoever came up and implemented this change. (18.13 KB, image/jpeg)
2012-09-19 14:52 PDT, ff4-temp
no flags Details

Description Dão Gottwald [:dao] 2010-06-25 06:37:00 PDT
Created attachment 454024 [details] [diff] [review]
patch

Users can override this using userChrome.css if they absolutely want it. I don't think the prefs are worth it.
Comment 1 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2010-07-05 02:35:22 PDT
Comment on attachment 454024 [details] [diff] [review]
patch

Agreed.


>--- a/browser/components/sessionstore/test/browser/browser_480148.js
>+++ b/browser/components/sessionstore/test/browser/browser_480148.js
>@@ -79,17 +79,17 @@ function test() {
>     return expected;
>   }
> 
>   // the number of tests we're running
>   let numTests = 4;
>   let completedTests = 0;
> 
>   // access the pref service just once

Remove this comment.

r=mano
Comment 2 Dão Gottwald [:dao] 2010-07-05 04:14:34 PDT
http://hg.mozilla.org/mozilla-central/rev/181a0b76dc4a
Comment 3 Matheus Kerschbaum 2010-07-05 13:10:01 PDT
This probably isnt the best place to discuss this, but there are 2 problems related to this bug: first is that now when changing tab width through userChrome.css the tab animations are disabled as a result, and second is that looking at the mockups the tab width doesnt seem to be 250px, are they going to be changed any time soon?
Comment 4 Dão Gottwald [:dao] 2010-07-05 13:55:43 PDT
(In reply to comment #3)
> when changing tab width through
> userChrome.css the tab animations are disabled as a result

use .tabbrowser-tab:not([pinned]):not([fadein])
Comment 5 Keenan 2010-07-05 18:20:19 PDT
Some guidance on fixing this with userChrome.css? This doesn't seem to work:

.tabbrowser-tab:not([pinned]):not([fadein]) {
	min-width: 1px;
}
Comment 6 Dão Gottwald [:dao] 2010-07-05 22:08:13 PDT
(In reply to comment #5)
> Some guidance on fixing this with userChrome.css? This doesn't seem to work:
> 
> .tabbrowser-tab:not([pinned]):not([fadein]) {
>     min-width: 1px;
> }

.tabbrowser-tab:not([pinned]):not([fadein]) {
  min-width: 1px !important;
}
Comment 7 imradyurrad 2010-07-06 00:45:41 PDT
The now default tab width of 250px doesn't match the mockups which are 200px. =/
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-07-06 09:24:11 PDT
This patch didn't change the minimum/maximum tab widths.
Comment 9 Sid 2010-07-06 13:16:28 PDT
Mozilla/5.0 (Windows; Windows NT 6.1; ru; rv:2.0b2pre) Gecko/20100706 Minefield/4.0b2pre

This code doesn't work at all:
>.tabbrowser-tab:not([pinned]):not([fadein]) {
>  min-width: 1px !important;
>}

This code works, but disables tab opening animation:
>.tabbrowser-tab:not([pinned]) {
>  min-width: 1px !important;
>}

Is something wrong with ":not([fadein])" part? Could someone publish the proper code to control tab width?
Comment 10 Dão Gottwald [:dao] 2010-07-06 20:59:14 PDT
Sorry, I didn't actually try it myself and got confused. This should work (although it's again untested):

.tabbrowser-tab[fadein]:not([pinned]) {
  min-width: 1px !important;
}
Comment 11 [not reading bugmail] 2010-07-07 22:34:54 PDT
I think this should be marked dev-doc-needed if themes where using this.
Comment 12 Dão Gottwald [:dao] 2010-07-08 06:56:45 PDT
Themes weren't using this.
Comment 13 Dão Gottwald [:dao] 2010-07-09 08:38:05 PDT
*** Bug 577444 has been marked as a duplicate of this bug. ***
Comment 14 Jo Hermans 2010-07-12 03:37:11 PDT
*** Bug 577986 has been marked as a duplicate of this bug. ***
Comment 15 kiwiplant 2010-07-12 04:08:47 PDT
How is this used in place of browser.tabs.tabMinWidth? What exactly goes in userChrome.css ?  Are these type of settings documented somewhere so that non-developer Firefox users know how to change them if not in about:config anymore?

As a regular Firefox user I liked the about:config way of setting it.
Comment 16 [not reading bugmail] 2010-07-12 21:03:07 PDT
(In reply to comment #15)
> How is this used in place of browser.tabs.tabMinWidth? 

Its hardcoded in the css code, changed only by some form of css change, and no longer a user pref.

> What exactly goes in userChrome.css ?  

.tabbrowser-tab:not([pinned]) {
  max-width: 250px;
  min-width: 100px;
}
 	
then insert your own change with this code for 250 and 100 with your setting.

> Are these type of settings documented somewhere

not necessarily.
Comment 17 tallus 2010-07-27 22:15:07 PDT
What is the rationale for this change? There are none listed (" I
don't think the prefs are worth it." is a personal opinion not a rationale). Applying this change has made a huge and unexpected change in the browsing experience for some people with no gain, but potentially a huge negative impact.
Comment 18 tallus 2010-07-27 23:28:03 PDT
>.tabbrowser-tab:not([pinned]) {
>  max-width: 250px;
>  min-width: 100px;
>}


Doesn't work (it lacks !important)

Here is a complete TESTED userChrome.css that emulates the old behavior of a changed  browser.tabs.tabMinWidth (set to 38 px the old minimum width).

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
 /* set default namespace to XUL */

.tabbrowser-tab:not([pinned]) {
  min-width: 38px !important;
}
/* create shrinking tabs */
Comment 19 ben.moore 2010-07-28 19:47:12 PDT
I don't understand why this was changed. To change these settings the user now has to create userChrome.css and add code to it. Previously it was just a click of a table entry.

I agree with tallus@gmail.com.
Comment 20 Decathlon 2010-07-29 03:16:50 PDT
I totally disagree here.
You are making settings by far more complicated for a silly thing.
For some users it's a problem even changing settings with the configuration editor, I can imagine what could be for them writing a userChrome.css file ("Where do I have to put it?", "I wrote it with Word 2010, why it doesn't work?", "I'm using Windows and my files don't have the .xxx suffix", "Windows says to me that I have to be careful when I change files extension, are you sure I can change it from txt to css?" ... and so on).
I know users that install Tab Mix Plus (a 360KB add on) just to change that parameter.

(In reply to comment #0)
> Users can override this using userChrome.css if they absolutely want it

IMHO this is a developer's (or a geek) assertion, but here it needs a (average) user's POV.
Comment 21 WD 2010-07-29 05:38:30 PDT
I think this is a bit silly.   What is the point of making a user jump through hoops to change a visual appearance of the browser?   Effort was taken to make the change to Firefox for the goal of making it more difficult for a user to make the tweak?   Sounds like a lose-lose situation to me.
Comment 22 Brian Pape 2010-07-29 13:48:52 PDT
Finding this bug while searching Bugzilla for the source of major breakage in 4.0b2 / 4.0b3 (tabMinWidth worked in 4.0b1)- I would like to add my voice to those who think that this change is capricious.  I, as well as many, many other heavy Firefox users take advantage of the browser.tabs.tabMinWidth and tabClipWidth parameters in about:config.  

This commonly used, useful configuration parameter that makes an immediate impact in the browser GUI should not be buried in css code in an optional configuration file - and be of such complexity that the average dev isn't going to be able to write a code snippet without referring to the codebase.

I believe that "I don't believe the prefs are worth it" is quite an undeserved snub to many users.
Comment 23 Fabricio Campos Zuardi 2010-07-29 16:08:28 PDT
(In reply to comment #17)
> What is the rationale for this change? There are none listed (" I
> don't think the prefs are worth it." is a personal opinion not a rationale).
> Applying this change has made a huge and unexpected change in the browsing
> experience for some people with no gain, but potentially a huge negative
> impact.

I am also curious about the rationale for this change. 

Setting the tabMinWidth to 16 was the easiest way to get rid of the annoying tabscroll, and I am sure I was not the only power-user relying on this preference. Removing such a significant feature without explaining why IMHO was a mistake and the patch IMHO should be reverted.

I've helped many people to workaround the tabs changes on FF2 because people simply don't like hidden tabs, the tabscroll is not a good solution and this has been discussed a lot, very controversial change introduced on 2.0, but once you show that power users could simply go to about: config and tweak a number, both sides accepted that compromise.

Here is an example:

http://slashdot.org/comments.pl?sid=201111&cid=16468063 

I wonder what evidence(if any) supports the killing of an about:config preference, specially one that is so useful.
Comment 25 Timmy Fox 2010-07-30 10:10:51 PDT
This works perfectly for me, and does not disable the new tab animation :P

.tabbrowser-tab:not([pinned]) {
  max-width: 250px !important;
  min-width: 100px !important;

}
.tabbrowser-tab:not([fadein]) {
 max-width: 1px !important;
 min-width: 1px !important;
 max-width: 1px;
 min-width: 1px;
}
Comment 26 Shaun C 2010-08-14 23:24:58 PDT
I can't believe such an easy way to customize firefox is being removed for something so difficult. It has taken me over an hour of searching an reading and a bit of guessing to find out browser.tabs.tabMinWidth doesn't work anymore, it won't work anymore and to copy and paste in the above code so that I don't have to scroll through my tabs.

I moved to firefox because it was a better browser that I could customize my way but this is a step backwards in usability for the average user and I suspect a very high percentage of users are average users.

Creating and editing and saving a .css is a pain to do compared with changing a number in about:config not to mention how easy it is to mess it up. (I needed to follow directions on how to do it)

Apart from teaching some people how to remove the annoying windows startup and shutdown jingles, changing tabMinWidth was something else I showed a few people.  Now though, it has been changed to something I can't just remember which is not an improvement.

I signed up to bugzilla just to leave this comment.  Please think of how many people i actually represent who haven't tried firefox 4 yet, haven't left a comment here or haven't realized tabMinWidth won't work again.

Hope this gets read and thanks for reading if it is.
Comment 27 kingramze 2010-08-16 09:58:25 PDT
I prefer to have my minimum width of a tab the size of an icon -- like an app tab.  You have removed a useful feature from a simple config setting and put it into an area where now users must add in code to each instance of the browser to get the same utility.  I never complained about having the feature buried in the config file, but it is seriously wrong of you to remove it entirely and require a css file to resolve what I consider to be a bug.  Honestly, this should be a user setting in a menu.  Scrolling should be a last-resort to multiple tabs while reducing the tab size should be default in my opinion. 

It's very arrogant to assume the "fix" for this bug is to require users to generate code to fight the default behavior is acceptable because the users who like this feature aren't worth catering to.
Comment 28 by.hook.or 2010-08-18 07:30:37 PDT
Yeah, what Shaun C said:

The prefs are definitely "worth it" to me. I signed up just to register my dissent. I use Firefox on at least 5 different accounts (as I see listed in my xmarks tab-sync), and am not interested in customizing/tweaking each. I *have* used CSS a couple of times (in the comfort of a wiki site hosting the .css file), but have no interest in becoming an expert.
Comment 29 lucasbfr 2010-08-25 11:26:31 PDT
Same, this option shouldn't be removed quietly.

If the .css solution is better for you, you should detect the old option and either import these preferences into chrome.css or display a warning.

This has been an annoying surprise for me.
Comment 30 Catalin Hritcu 2010-08-26 01:21:29 PDT
So how many users have to complain until this change gets reverted or properly fixed?
Comment 31 Catalin Hritcu 2010-08-26 01:26:01 PDT
Do these 32 suffice?
http://input.mozilla.com/en-US/search/?q=tabMinWidth&product=firefox&page=1
Comment 32 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-08-26 10:59:53 PDT
I can sympathize with the fact that we broke some customizations and that people need to adjust, but we've decided that the "code complexity/maintenance cost" vs. "ease of tweaking" tradeoff is better with things as they are now. Using userChrome.css as opposed to about:config is not a large burden for people who are already used to tweaking their Firefox builds, and switching is a one-time cost.
Comment 33 Fabricio Campos Zuardi 2010-08-26 11:55:04 PDT
is it not polite to ask who is "we"? (as in we've decided…)
Comment 34 Fabricio Campos Zuardi 2010-08-26 11:56:05 PDT
I guess it is not important since I am using Chromium now :(
Comment 35 Catalin Hritcu 2010-08-26 13:07:46 PDT
@Gavin
So dropping tabMinWidth in favor of userChrome.css improves maintenance, fine! But why does this *need* to break usability? Why does this need to make an extremely extremely important customization impossible to do for regular users? And the fact that this was not very usable in the first place (it was actually until Firefox 2.0 broke everything) is not an argument: Regular users (say, my mother) were able to change tabMinWidth after being told what to do, but not all of them know where their Firefox profile is located (is it the fvgi6odq.default dir or is it the faeat5ang dir? let me start the Profile Manager first ... ah, this is no longer possible from the menu and needs to be done via a command line argument, hold on tight mommy!), and will no longer be able to get Firefox tabs to work as they expect, even when properly guided through it. Hell, it took me reading this whole thread, more than 30 minutes and more than 5 browser restarts to get the userChrome.css hack working (and yes, I did need to start the profile manager from the command line to find out which one of the "very intuitively" named directory it was).

How about making the userChrome.css solution also usable? For instance adding an extra option to the Preferences -> Tabs menu called "Strech tabs like in Firefox 1.6 and Chrome" or whatever you want to call it, that does the changes automatically. Would this be hard? Because it would definitely be very usable, and I bet that nobody would miss tabMinWidth, if something like this were in place. If this is not possible, then how about asking a Firefox usability expert for an opinion, instead of completely underestimating how important this option is (or could be) for any user starting more than 15 tabs at once?
Comment 36 Fabricio Campos Zuardi 2010-08-26 13:24:14 PDT
(In reply to comment #35)
>  If this is not possible, then how about asking a Firefox usability
> expert for an opinion, instead of completely underestimating how important this
> option is (or could be) for any user starting more than 15 tabs at once?

Hi Catalin, I've actually asked a Firefox usability expert, 

It's not supposed to go away, and we have people working on fixing it. Thanks for the notice!-- Alexander Limi · Firefox User Experience Team · http://limi.net


On Wed, Jul 28, 2010 at 9:48 PM, Fabricio C Zuardi <fabricio@fabricio.org> wrote:

********* *BEGIN ENCRYPTED or SIGNED PART* *********


Hi Alexander,

I thnk we chatted quickly in one of the UX BOF at the summit in
Whistler, but you will probably not remember me :P

Anyways, I remember we've chatted about how annoying tab scrolling can
be and how power-users should be able to get rid of it by making the
minimum tab size very small(via about:config).

So, I am trying FF4b2 here and it looks like it has a regression if
compared to FF3.6, the about:config preference for minimum size is not
being respected :(

I know you have more important things to deal with, but if you can
please check bugs #582856 and #577497 and add yourself to cc or forward
it to someone, or maybe confirm it, I would appreciate very much. And if
the preference was really supposed to die, having some kind of reasoning
would be nice :)


Thanks!
-- Fabricio C Zuardi http://fabricio.org ********** *END ENCRYPTED or SIGNED PART* **********
Comment 37 ben.moore 2010-08-26 13:46:47 PDT
(In reply to comment #32)
> I can sympathize with the fact that we broke some customizations and that
> people need to adjust, but we've decided that the "code complexity/maintenance
> cost" vs. "ease of tweaking" tradeoff is better with things as they are now.
> Using userChrome.css as opposed to about:config is not a large burden for
> people who are already used to tweaking their Firefox builds, and switching is
> a one-time cost.

That's an incredible response. Even the developer of this "fix" couldn't handle the complexity of the alternative. See https://bugzilla.mozilla.org/show_bug.cgi?id=574654#c10 It seems to have been too large a burden for him!
Comment 38 Dão Gottwald [:dao] 2010-08-26 13:53:26 PDT
http://en.design-noir.de/mozilla/tab-width/

You can stop spamming this bug now.
Comment 39 Alex Limi (:limi) — Firefox UX Team 2010-08-26 17:28:53 PDT
(In reply to comment #36)
> Hi Catalin, I've actually asked a Firefox usability expert, 
> 
> It's not supposed to go away, and we have people working on fixing it. Thanks
> for the notice!-- Alexander Limi

For the record, note that what I meant was that it should be possible to adjust the min tab width *somehow* — whether this is in about:config or userChrome.css isn't really something I care about, and whatever the developers are recommending here is fine with me.
Comment 40 by.hook.or 2010-08-30 20:01:39 PDT
Thanks for the extension Dão. Though I'd appreciate it more if you didn't say things like:

> You can stop spamming this bug now.

The other angry users above probably feel the same (and agree that installing an extension or using css does NOT constitute a fix.)
Comment 41 Martin Stubenschrott 2010-09-11 02:48:00 PDT
The big difference about about:config versus the userChrome.css is that when i install Firefox on a new computer, I know immediately to go to about:config and search for tabMinWidth, while I am 100% sure i'll have to google again what the exact userChrome.css will be.

The extension is fine for now, but I fear there will be times again, when the maxVersion of the addon won't keep up with the quick FF development pace if you do regular nightly updates. Thanks anyway for the quickly released extension.

What is the rational about tab scrolling anyway? Did the UI/UX team really made a study that "normal users" are happier with scrolling tabs then shrinking them? In the month or so where i tried to live without the tabMinWidth it occured MANY times that i ended up opening new tabs since I thought i accidentily closed a tab as it wasn't visible anymore.
Comment 42 galmok 2010-09-16 14:55:57 PDT
I too am reluctant to see tabMinWidth go away because I don't know where to create userChrome.css and where my profile directory is. Also, will Firefox re-read that file to let me change the width dynamically? At work I have 4 rows of tabs and I adjust tab width to keep them at 4 rows or less (using 3.6.10 there). At home, with 4.0b6, tabMinWidth doesn't work and I have lost my overview of my open tabs. I can't use FF like that.

And Dão Gottwald, thanks for the addon, tried to install it, but it doesn't work with 4.0b6.

I acknowledge that using a beta version will incur some issues from time to time but this one is really getting on my nerves.
Comment 43 kingramze 2010-09-16 19:30:48 PDT
Agreed, galmok.  Thank you for the extension Gottwald.  Can someone on the Firefox team please change the status of this bug from "RESOLVED FIXED" to something more appropriate?  

Can we get a timeline on which Beta will re-implement this very commonly used feature?  Let's be honest.  My family members and non-techie co-workers are not going to be able to even find their profile directory, much less create a .css file to get this to work.   Extensions are great, but require a download - possibly through a firewall which won't allow it... and they have to be kept up with version releases.  It's far easier to type up and e-mail a short instruction list to open a config file and change a setting (to whatever the user prefers).  I'd rather have it as a menu item to make things even more user-friendly.

CHROME, by the way, re-sizes its open tabs when you open 30+ tabs at once (which is very common)to about the size of an app tab found in Firefox .  This is the behavior I would expect as a best practices for usability.  Scrolling is not.  The "RESOLVED FIXED" status implies that the Firefox team has decided this isn't something they wish to actually resolve.  Can we get a definite answer as to whether or not this will be fixed?   Should I start switching my 500+ users to Chrome which has a similar feature to the one Firefox has removed?
Comment 44 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-09-16 20:18:48 PDT
The instructions to your non-techie co-workers for installing the extension would be simpler than the instructions for changing a hidden about:config pref. An about:config setting is not any more of a "feature" than an extension that achieves the same result.

You misunderstood the purpose of this bug. It describes a specific action item, and FIXED is its correct state.
Comment 45 kingramze 2010-09-17 05:16:36 PDT
Gavin, thank you for your reply.  As you are correct that this bug does not directly address the issue of the bug that there is a "browser.tabs.tabMinWidth" config file setting which no longer works, what would be the appropriate action to file a new bug report to correct this error?

As for usability, the instructions 

type "about:config" in the address bar
search for "min"
double click browser.tabs.tabMinWidth and set to the width you prefer

is much simpler than giving someone a website to download a third party extension, trusting that that third party will not inject malicious code or cause memory leaks, trusting that our government firewall will allow access to the site, trusting that the user will download the correct extension, and that the third party developer will continue to support the feature indefinitely for all new releases.

As for the definition of a "feature" -- I disagree that an about:config setting is the equivalent of an extension.  Clearly one is part of the Firefox build and the other is a third party addition.  As for features... if it's a setting I can manipulate that is included in the package, I consider it a feature. I also use a setting to put my "close tab" button at the end of all of my tabs.  I consider this to be a feature as well, but we're talking semantics.

Taking away functionality with the excuse that a third party could add it back to a degree is not a "fix."

I apologize if this comment has strayed to be off-topic for this bug.  Thank you again for the reply & as a longtime user and supporter of Firefox, I look forward to the team finding an actual solution that doesn't require a 3rd party work-around.
Comment 46 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-09-17 10:17:48 PDT
You can file a new bug if you'd like, but I don't think we're going to our minds here, so it likely will be marked WONTFIX.

I can understand you being upset that we've inconvenienced you, and I'm sorry about that, but we're in the tough position of needing to consider more than just your concerns when making changes to Firefox :) Our evaluation of the trade-offs in this case is unlikely to be swayed by 1 or 10 or 1000 people commenting in this bug, unless they provide some new information that we've somehow missed.
Comment 47 tallus 2010-09-17 14:00:38 PDT
With all due respect the new information you have missed *is* the large number of people commenting here. Making this change has had a significant effect on the expected behavior of the browser for many people  leading them to perceive that things are broken causing them to come to the bug filling system.

Whether this changes provides an adequate way to tweak the desired behavior (and the trade-offs this involves) is not the issue that needs to be considered here. What does is the perceptions this changed has caused. 

Given that there has already been a significant amount of blow back while we are still in Beta it is not unreasonable to suggest that if Firefox 4 is shipped as is, without further work on these issues, largely numbers of users will also perceive that is is broken potentially causing significant negative publicity/public perception and even driving people, unnecessarily, to other browsers where the desired behavior is readily available.
Comment 48 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-09-17 14:18:21 PDT
Five people commenting in a bug is not "a lot of blowback". You need to see this in perspective - we have tens of thousands of nightly users, and several hundred million users in total. This "feature" was unknown to the vast majority of them. Very few people will miss it, and those who do can use the extension dao provided (or the userChrome.css modification mentioned earlier).
Comment 49 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-09-17 14:21:15 PDT
Also, as far as I know no other browsers offer easy customization of the default minimum tab width, so I don't understand the "users will switch" argument at all. If you're actually just arguing that our default tab width should be smaller, then that's an entirely different argument that should be had in a new bug, if one isn't already filed.
Comment 50 Fabricio Campos Zuardi 2010-09-17 14:58:27 PDT
(In reply to comment #49)
> Also, as far as I know no other browsers offer easy customization of the
> default minimum tab width...

Other browsers don't have this atrocious tabscroll, that's the purpose of the config: a way to disable tabscroll.

What people find broken in Firefox is the tabscroll, not the tab minimum size. Changing the minimum size just happens to be the way to disable tabscroll.

Other browsers default to the behavior of avoiding tabscroll while they can. That's not the case on Firefox where on the default installation a small number of tabs will already trigger this nasty UI.

What the removal of the preference is actually removing is the option to disable tabscroll. Not the control over the size of the tabs. No one really cares about the size in pixels, as long as it is small enough to prevent the appearance of a stupid tabscroll.
Comment 51 Decathlon 2010-09-17 15:05:17 PDT
(In reply to comment #49)
> If you're actually just arguing that our default tab width
> should be smaller, then that's an entirely different argument that should be
> had in a new bug, if one isn't already filed.

In this case the status of the bug 357783 should change to "NEW" because it was
defined "INVALID" due to the presence of the preference
browser.tabs.tabMinWidth.
Comment 52 Fabricio Campos Zuardi 2010-09-17 15:10:56 PDT
(In reply to comment #51)
> (In reply to comment #49)
> > If you're actually just arguing that our default tab width
> > should be smaller, then that's an entirely different argument that should be
> > had in a new bug, if one isn't already filed.

Yep, I guess you can say that :) I am arguing for default tab width to be 1px. A different bug indeed.
Comment 53 Fabricio Campos Zuardi 2010-09-17 15:12:19 PDT
*minimum* default tab width I mean
Comment 54 tallus 2010-09-17 15:14:22 PDT
Gavin;

Many more than five people have commented on it as is clear from looking above. Moreover these are only the people who have been motivated to comment, it is entirely reasonable to assume that there are many more people who have been affected but have not commented (perhaps they came here and applied the fix? We have no way of knowing). As a rule of thumb, I was taught, for everyone person that writes to a politician about an issue, there are another 10,00 who feel the same way but do not write.

The issue is not default tab width (that is something separate) but shrinking vs scrolling tabs and the ease with which one can be chosen over the other.

My concerns are not with the method of implementing the customization  but the way in which the change over effects the end user and how this might adequately be handled.
Comment 55 Fabricio Campos Zuardi 2010-09-17 15:27:30 PDT
Filed bug 597564 to address the issue of the bad default value for minimum tab width size.
Comment 56 Anthony Williams 2010-09-17 15:30:02 PDT
I currently have 59 tabs open in FF 3.6.9, with a min tab width of 50 pixels.
This gives me just enough tab width that I can identify which tab is which, and
get a reasonable subset (20 tabs) of my tabs visible at once. I still find it a
pain having to scroll to get to some of my tabs, but there will always be a
limit.

With the current FF4 beta, I can only get 11 1/2 tabs on screen at once. This
is too few. By removing the min tab width setting you've removed my ability to
easily adjust that. I don't want to have to fish in exotic corners of my
browser config such as userChrome.css in order to get things working like I
have it in FF3.6. I /could/, I just don't /want/ to. If there's an extension to
fix it, all well and good, but this shouldn't be something for an extension. It
used to be a built-in feature, and FF4 has taken it away. This hampers the
upgrade path. It doesn't need a fancy GUI; about:config works fine.
Comment 57 reeses.pieces5 2010-09-28 14:11:42 PDT
I am outraged at this change.  Who actually wants to leave their tabs so wide when you have 10+ open and can't see what tabs you have anymore because it requires scrolling (horrible UI)?  WHY remove something that had no negative impact?  You have to realize that for every 1 person posting here, there are 100000 more with the same complaint who haven't found this page yet.  An hour ago I noticed the awful tab scroll is back, and I had to google how to fix it, then learn how to use css, then learn where to find my css file, and now I'm venting here....in the past all I had to do was take 10 seconds to change it in about:config.  If you are stubborn because of your build feedback, do this: change the tab width behavior to one like chrome's, and observe how positive the feedback WILL be.  I don't understand how anyone LIKES it this way?
Comment 58 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-10-02 23:00:14 PDT
This bug is about a specific implementation-level change, the end result of which was that customizing the minimum tab width now has to be achieved using a different method (userChrome.css or Dao's extension, instead of about:config). This had the effect of changing the behavior for users who'd already changed the prefs, which I understand can be annoying, but that's a small one-time cost for a very small minority of users. We didn't "remove" anything, and we didn't change the default behavior.

If you're actually looking to try to influence a change in Firefox's tab overflow behavior or default minimum tab width such that these customizations aren't necessary, then commenting here in a resolved bug about something else entirely is not going to be very effective. Those kind of suggestions belong in the mozilla.dev.apps.firefox newsgroup/mailing list, or in separate bug reports.
Comment 59 mgueury 2010-10-26 06:50:15 PDT
Same than all the people here. 
I have no idea how many people are using this feature or not. 

Ideally, if the preference does not exist, it should be removed and detected at the installation time. Should a new bug be filled for it ? Thanks
Comment 60 Ed 2010-12-27 13:37:05 PST
I registered just to voice the same concerns.

3rd party add-ons just for this feature are definitely not a solution, and the css solution would be fine IF it was as easy to change as the about:config option was.

If you're going to stick to your guns and insist that this change is somehow "good" (for unclear internal reasons), please make the css file easier to access and easier to modify.

Also, this is NOT a one-time cost, as it is highly unlikely that I'll remember the exact css code and I'll have to look this thread up every single time I install firefox on a new machine, fresh install or whatnot, which is often enough.
Comment 61 Eyal 2010-12-30 01:23:29 PST
I'm also quite annoyed by this change - this is the setting that on each new installation made me go to about:config first. Using the CSS file instead is far less convenient.
Comment 62 Eyal 2010-12-30 01:41:49 PST
BTW, using 4.0b8 I tried at least 3 UserChrome.css variants suggested above, and none worked (tab size remained the same). 
Can anyone post a setting that works for him in current version?
Comment 63 Virtual_ManPL [:Virtual] - (ni? me) 2010-12-30 02:25:12 PST
/* create shrinking tabs */

.tabbrowser-tab:not([pinned]) {
  min-width: 39px !important;
}
Comment 64 Timmy Fox 2010-12-30 09:06:33 PST
This code works flawlessly on Firefox 4 Beta 8 and the Minefield Nightly Builds:

.tabbrowser-tab:not([pinned]) {
  max-width: 250px !important;
  min-width: 100px !important;

}
.tabbrowser-tab:not([fadein]) {
 max-width: 1px !important;
 min-width: 1px !important;
 max-width: 1px;
 min-width: 1px;

}


***Change the values of the top 2 preferences***
The ones already entered (250 and 100)px is the defaults... max-width is the default size for a tab, min-width is the smallest it'll go.. don't change anything at the lines below tho, they are there to enable the animation when you open a new tab.. other codes on here I've noticed forgot to add those which results in that eveytime you open a new tab, it just opens a split second later and looks kinda laggy... my code will however not disable this and make it look much smoother whenever you open a new tab..

Here's the code I'm using for example:

.tabbrowser-tab:not([pinned]) {
  max-width: 170px !important;
  min-width: 20px !important;

}
.tabbrowser-tab:not([fadein]) {
 max-width: 1px !important;
 min-width: 1px !important;
 max-width: 1px;
 min-width: 1px;

}

This makes the default tab size slightly smaller (170 pixels wide instead of 250) and the smallest it'll go before doing the tab-scrolling solution is 20 pixels rather than the default 100.
Comment 65 chris hofmann 2010-12-30 09:48:56 PST
I've also spun off another bug ( Bug 622124 - remove tabscrolling behavior and modernize tabwidth in next major release of firefox ) to carry forward the discussion suggested in comment 50 and comment 58
Comment 66 Eyal 2010-12-30 10:52:21 PST
thx timmyfox for the detailed explanation - that worked nicely.
Comment 67 Craig Michael Nathan 2011-03-22 18:28:08 PDT
This was a terrible "fix" that has now wasted tons of my time trying to get FF4 to work like FF3 did.

The "solution" that I now need to go figure out how to do in some .css file I never knew existed, and which doesn't currently exist, to do the same thing I've been doing for years in a three-second about:config tweak isn't a "solution", it's developers losing site of their users and prioritizing their own geek needs.

Shame on Gavin and the rest of the FF team who thought that a "minor" inconvenience is worth the hassle.  Go call up your grandparents and explain to them what .css is, how to get the file set up, and how to write CSS code.  Have big fun.

Instailling yet another extension is the WRONG WRONG WRONG solution, and is a copout for failure to develop the upgrade path correctly.  This is slackerdom at it's most apparent.

If you're not smart enough to keep this feature, then code something that checks for it and auto-generates the BS .css code I now have to use.

This is just one more reason I'm losing faith in Firefox and have started using other browsers more.

I'm *never* going to be able to explain how to fix the stupid default tab scrolling behaviour to my grandparents.  about:config changes were at the top of their technical ability.

Gavin saying "just go get a plugin" clearly doesn't have a grandparent that he cares about providing support to.

Shame on you guys.
Comment 68 ben.moore 2011-03-22 18:34:42 PDT
This is my third comment on this issue and it'll be succinct.

AMEN
Comment 69 Steve 2011-03-22 21:09:27 PDT
This is a terrible 'fix' and those responsible should be man enough to own up to it.
Comment 70 bugzilla 2011-03-23 00:06:58 PDT
I tried timmyfox's (#64) approach and it kinda works. However, the scroll buttons flicker in and out during the animation. Needless to say that this is very distracting and f-ing ugly.

I also agree that "I don't think the prefs are worth it." isn't a valid reason. This was a very useful setting for power users. You really shouldn't remove features based on blind guesses.

And no, tab groups are not an alternative for this.

(By the way, Opera and Chrome don't use that kind of excessive min tab width.)
Comment 71 Nicolae Namolovan 2011-03-23 01:37:10 PDT
Muhaha, this was a terrible idea to change, an average user will never find this .css file, you better revert this, you're wasting our time, it kind suck that at every version we need to relearn the same damn thing to make the damn tab width as we want it. Why won't you put it somewhere so we can easily change it ? How about a command to launch the .css file in the default Text Editor ? Or a built-in editor so we can customize it ? The extensions are not always supported or uptodate..
Comment 72 Jon L. 2011-03-23 02:08:49 PDT
I registered just to say what an absolutely stupid change this is. Not only that, but putting the suggested code regarding minimum width, if not done precisely correct breaks the UI (leaves holes). 

I find it remarkably stupid and inconceivable that there is some implementation reason to change this AND an add-on can fix it--the about:config functionality should be patched, end of story. 

DUMBEST. CHANGE. EVER.

-New Chrome User
Comment 74 Adam Purkrt 2011-03-23 04:09:24 PDT
Removing these two options really was not a good idea..

+1 vote for bringing "browser.tabs.tabMinWidth" and "browser.tabs.tabMaxWidth" back
Comment 75 Martin Stubenschrott 2011-03-23 04:16:55 PDT
I don't vote for bringing back an option which shouldn't be there in the first place. Just do a proper usability research with people who constantly use 30+ tabs and don't want to use Panorama.

Just imagine the Windows taskbar would have such scrolling after you open more than 5 applications? And tabs are the "new" taskbar, since a browser is becoming more and more an operating system.
Comment 76 Henrik Skupin (:whimboo) 2011-03-23 12:07:29 PDT
An add-on has been made available by Dao which is now available on AMO and let you define the minimum and maximum tab width:

https://addons.mozilla.org/en-US/firefox/addon/custom-tab-width/
Comment 77 galmok 2011-03-23 15:41:09 PDT
While an addon is all well and good, I'd rather have it working as it used to. Couldn't we revert the patch, compile our own Firefox and put it on a webpage somewhere? Currently I recommend anyone in my family to stay with FF3 for the easy configuration (and significantly smaller memory footprint) or to switch to a different browser alltogether. I can't support the problems that arise with out-of-date addons. Eventually, the mentioned addon will become out-of-date when a new FF4 is released and they'll call me to ask for help... and I can't, because there are no working addons at that specific time and I can't direct them to change the CSS (hell, I don't know how to do it myself if I hadn't found this bug report). Really bad decision and now the pride of the developers keep it that way. :-/

Not a single user has expressed any thanks for this change as far as I know (and why should they).
Comment 78 ff4-temp 2011-03-24 13:44:15 PDT
I created a temporary e-mail account and registered for the sole reason of commenting on this defect in Firefox 4.

Seriously, what is wrong with the developers?  I have two college degrees, both in programming, and have been a Mozilla/Firefox user since Mozilla 0.7.  I'd estimate that between 800 and 900 people have switched to Firefox over the years because of me.  The lack of consideration for the users is getting worse instead of better - you guys are approaching M$ in terms of how you view/treat users!  A feature is added in one version, then jerked away like Lucy pulling the football away from Charlie Brown.  Worse than that even - to my knowledge Lucy never didn't pull the football away, whereas the Mozilla team adds features, leaves them in for a few versions so people will get used to them, and then yanks them away without warning or even semi-logical reasons.

Regardless of what you may believe, people do NOT enjoy this.  Comments like "I don't think the prefs are worth it" and "You can stop spamming this bug now" made by a developer turned up on the bugzilla item when searching for it only make it worse, as the attitude toward users and what they want is more that of an inconvenience instead of somebody to make happy.  (IMO, you've only begun to see the beginning of people complaining about this... it was a dumb idea and most anybody who has need to find the bug is going to think pretty much the same thing.)  I don't know what went on internally, but it sounds like one single person didn't use this feature and therefore removed it on his own personal whim.  (Or more accurately, shoved it somewhere that 97+% of the population will not be able to access/edit.)  I never changed the default behavior in FF3, but the defaults were changed in FF4 and then the user is required to jump through hoops to get it to work the way it was.  To be blunt, this design decision is freakin retarded...

Something very similar happened a few years ago.  Print Preview was available as an icon in the toolbar and is something I use every single day.  Then in one version, without warning, whoosh - gone!  It's annoying enough to install an add-on for every box I put Firefox on, but guess what?  Then I get the fun of dealing with it during EVERY significant upgrade to Firefox.  Updated to Firefox 4 today and big surprise, the Print/Print Preview add-on isn't compatible.  Thankfully, somebody (not the original author of the add-on) patched it to work with FF4.  Print Preview is already a menu item - would it *really* be that much trouble to have it be an available icon like it used to be???

Another absolutely fantastic design change in FF4 is the password remembering options.  (Noticed this when registering.)  Instead of one click to remember/not now/never in a temporary drop-down bar at the top of the screen or even in a modal dialog box as in FF2, if you want anything except remember, you have to click three times instead of once.  WTF sense does that make?!?!???  My second-year UI design class had stuff like that as examples of BAD UI design - our grade on a project would get dinged if we turned in a program with an interface like that - and yet you actually expended the effort to change things to INTENTIONALLY make it work like that!  Isn't there ANY sort of review process for changes like this???

I see that there is now an add-on to restore functionality that was added in a previous version and then pulled away, just like Lucy and that football.  This is yet one more step when setting up FF on a machine and more hassle during every update for the foreseeable future.  Truly a WONDERFUL experience to be certain...

Being lean really isn't a valid reason because having the 742,398 add-ons loaded to do what used to exist natively almost certainly takes more memory than if they were built-in (like they used to be).  Not wanting to test is just plain lazy - almost worse than the arrogance of a single developer removing whatever he feels like for no apparent reason.  I could sell you a vehicle that would be excellent on fuel and only cost $150.  Available add-ons include an engine, steering wheel, front wheels, electricity, heater, brakes, speedometer, transmission, etc, etc, etc.  Yup - you get the vehicle pictured at http://waterfordhackney.com/Images/Funny-Taxi-Cab.jpg   I can foresee the time when Firefox is the same way - you get a rendering engine and then require add-ons to have such 'extra features' like a menu bar, address bar, tabs, back/forward buttons, the ability to print, etc.  FF would certainly be lean and easy to test, but would also be utterly useless.  (OH NO - I think I just gave them ideas!!! :( ;)   What's truly pathetic is that I really honestly thought of removing this for fear one of the developers will decide adopt such a design model...)

I'm going back to FF3 as soon as I get done posting this (which is really too bad since there are some neat features I think I'd like, at least for however long they last).  I will not upgrade any of the 11 other machines I use on a regular basis at home/work and will advise everybody both friends and co-workers to use FF3 and explicitly specify NOT 4 because they broke it.  I'm also going to start looking at other browsers.  Incidentally, this is the first time I'll be doing evaluating browsers in over 10 years.  I sincerely hope that this fact fills developers who make decisions like this (the ones which are best classified as 'F-in dumb') with a feeling of great pride - you've managed to make a loyal user and advocate of Firefox for what amounts to forever in the computer industry jump ship.  It's not the change itself that's doing this, it's the underlying attitude it represents.  Firefox is heading down the same path as Micro$oft, only you don't have enough of a monopolistic stranglehold on the market to survive people getting POed at your product and using something else.

Hopefully you guys will gain some wisdom and go back to what made people use FF in the first place (features, user friendliness, customizability, security, stability) before a product I've used and loved for many years dies a slow painful death.  Somehow I doubt this will happen... after all, why listen to what people like/don't like/want?  People have only been complaining about it for the 8 or so months since it was introduced during the beta and the change still made it into the final.
Comment 79 Virtual_ManPL [:Virtual] - (ni? me) 2011-03-25 08:48:14 PDT
Created attachment 521831 [details]
DEVELOPERS and Co

Picture presenting how developers care about end users in funny way :)

Worth mentioning is also this site
http://www.businessballs.com/treeswing.htm
Comment 80 LeiraHoward 2011-03-25 12:26:05 PDT
"Upgraded" to Firefox 4.0 today. Found tab scrolling was active again and could not disable due to about:config not having tabMinWidth active.

Found "help" file in http://kb.mozillazine.org/Browser.tabs.tabMinWidth ... no specific instructions on WHAT needed to be written to css file, or how to do it.

I don't have the time to mess with all I would need to do to change this, so I am just going to uninstall and go back to version 3, hoping that EVENTUALLY a newer version of 4 will be more considerate and have "Disable Tab Scrolling" as a checkbox in the normal options menu.
Comment 81 gotroch 2011-03-26 11:36:26 PDT
"Users can override this using userChrome.css if they absolutely want it. I
don't think the prefs are worth it."

Most stupid words ever written about Firefox customisation. I've just registered just to say ***** you with this change. All forums, all help pages, all discussions over the Internet are full of hints how to change this size of a tab via about:config and browser.tabs.tabMinWidth, and you've removed it? I'm so ***** off and everyone is, except one silly developer.
Comment 82 Ed 2011-03-28 10:19:12 PDT
Hopefully as more and more users upgrade and get **** off by all this nonsense, smth will happen.

Btw if you use TabMixPlus - it lets you tweak these settings as well.
Comment 83 Jos 2011-03-30 18:10:04 PDT
Comment on attachment 521831 [details]
DEVELOPERS and Co

Hahaha, **** mozilla developers.
Comment 84 Jos 2011-03-30 18:28:51 PDT
tab scroll sucks.
Installing yet another extensions for this, sucks.
Comment 85 Richard Musil 2011-03-31 03:38:44 PDT
I have just upgraded to FF 4.0 - because "it was finally available" just to hit this funny "bug".

Honestly, I do not understand the reasoning behind. So far there was no information from devs, why it was removed or why it cannot be put back. I looked at the patch and it does not say much either. It just looks like one source for the setting (about:config) was replaced with another one (userChrome.css).

I guess there had to had been some reasons (otherwise I would not expect this patch coming in the first place) and explaining them may be at least helpful to carry people over it.

Nevertheless I would like to vote for reverting the patch, for the reasons which were already posted above (so I am not going to repeat them).

Also please change bug status. With the feedback I do not think current "VERIFIED FIXED" is justified.

And the last note. FF 4.0 has become "stable and available" just right now, so I would expect "normal" users are just starting hitting it. They will be less likely registering on bugzilla and reporting their concerns there.
Comment 86 reith_1 2011-04-04 02:14:06 PDT
Regarding the developers comment, "I don't think the prefs are worth it."

I strongly disagree. I registered just to say that I want the feature "browser.tabs.tabMinWidth" back. Installing an add-on for every little setting is pointless.

Isn't it possible to reopen and ask to have it reverted?
Comment 87 Bill Tyzuk 2011-04-05 14:21:04 PDT
Like reith_1 above, I am totally annoyed at the "I don't think the prefs are worth it"  comment from the dev.

I saw numerous comments relating to this item during the beta tests so it isn't as if you didn't know that users found it important.   BTW, although I am sure that you know it isn't just tabMinWidth that no longer works but also clip and anything else to do with tab control.

This was one of the five or six things that I used to customize FF to work efficiently for me.  

Make the tab configuration options work again.
Comment 88 Frank 2011-04-06 01:28:56 PDT
Anyone noticed that the add-on to bring back something that worked great but apparently was not worth to maintain has been downloaded over 10.000 times already. So over 10.000 people miss this option, don't need the various options offered by the large tab add-ons, are unwilling or unable to edit userChrome.css to customize the minimum tab width AND were able to find the add-on.

So I don't see why the devs think this pref was not worth it. 10.000 downloaders of the add-on can't be wrong!
Comment 89 Bill Tyzuk 2011-04-06 02:55:56 PDT
RE: add-on

The add-on is somewhat buggy and doesn't always work.  As far as userChrome.css goes, it is a bit of a convoluted way to set something as simple as tab behaviour, especially since the options were there before and were arbitrarily dropped.

Also the userChrome.css behaviour seems to be buggy as well.  

Sigh.

I certainly don't think this should be "VERIFIED FIXED"
Comment 90 Bill Tyzuk 2011-04-06 03:07:02 PDT
(In reply to comment #32)
> I can sympathize with the fact that we broke some customizations and that
> people need to adjust, but we've decided that the "code complexity/maintenance
> cost" vs. "ease of tweaking" tradeoff is better with things as they are now.
> Using userChrome.css as opposed to about:config is not a large burden for
> people who are already used to tweaking their Firefox builds, and switching is
> a one-time cost.

You are making a lot of assumptions here, most of which are false.  IMHO, a better tradeoff would be to get rid of the annoying scrolling tabs.  

There are a lot of voices here calling for the return of this config item.

The userChrome.css tweaks are not documented and not an option for most users.  Besides, both the add-on utility and the css tweaks seem to be buggy.  Sometimes they work and sometimes they don't.  I really don't want to spend time on it trying to determine the behaviour conditions.
Comment 91 john299792458 2011-04-06 22:02:05 PDT
Registered to complain. This honestly wouldn't bother me if it weren't for the fact that it was so easy to do in the last version; and that now the rationale for removing the config option is that apparently an insignificant amount of people open more than a dozen tabs at a time. 

Not being able to disable tab scrolling is ridiculous- surely you must recognize that some people are going to HATE having to constantly use the scroll wheel because Firefox deems it necessary to remind you that all your tabs begin with "Wikipedia...". This isn't something that should require making css files in the bowels your computer or downloading third party extensions.
Comment 92 Dão Gottwald [:dao] 2011-04-06 22:31:49 PDT
It seems like people are generally not interested in specifying arbitrary tab size bounds but only in letting tabs shrink infinitely. In that case, rather than spamming this bug, which honestly won't lead anywhere, I would suggest filing a bug on providing that specific hidden pref.
Comment 93 gotroch 2011-04-07 00:04:33 PDT
Poor Dao, I see you still don't understand that you (or somebody else) made something very stupid. You call the negative opinions "spamming"? Damn, is every Mozilla developer arrogant like you? Or are you paid by Google or the Chrome dev team?
Comment 94 Adam Purkrt 2011-04-07 00:35:22 PDT
Filed a bug on providing that specific hidden pref.

https://bugzilla.mozilla.org/show_bug.cgi?id=648218

Btw, I would suggest to change the status of this bug to "verified:introduced" ;-)

Just my $0.02.
Comment 95 Richard Musil 2011-04-07 00:45:43 PDT
@Comment 92

Dao, you made wrong assumption at the beginning about how the others perceive this feature which lead to this "spamming" and you are doing the same again. Please, read, what people are writing here and do not jump on conclusions.

Being the developer myself, I must admit that the attitude and the way communication is handled is starting bugging me.
Comment 96 Martin Stubenschrott 2011-04-07 01:08:47 PDT
To be honest, readding this about:config option would be a quick hack to allow a proper tab handling in Firefox, but it would still cause massive pain for many users who don't know about this option.

Still, none of the developers could answer my question from @comment 75: Just imagine, that the windows taskbar or macos dock would allow maximum 10 apps, before you would need to do scrolling to select the icon you want? Even when the windows task bar needs to show scrolling arrows after 30+ icons (when the entry would become smaller than the icon itself), it at least scrolls the icons pagewise, so you just need to click the "down" scroll element once to show another 30 icons instead of having to click or hold "right" up to 30 times.
Comment 97 Ed 2011-04-07 05:08:49 PDT
@Dao: some basic English for you developers:
feature != bug
criticism != spamming
Comment 98 LeiraHoward 2011-04-07 05:51:17 PDT
Suggest that everyone who cares about this bug should jump over to https://bugzilla.mozilla.org/show_bug.cgi?id=648218 and add their comments so that the developers note the concern on an active bug.
Comment 99 LeiraHoward 2011-04-07 05:52:36 PDT
Also suggest that to calm people down, this bug should be marked as a duplicate of that newer bug, instead of being marked fixed.
Comment 100 Bill Tyzuk 2011-04-07 05:55:35 PDT
Dao - if your add-on worked like the previous features, this wouldn't be such an issue but it doesn't always work.  I haven't spent the time to track down why but sometimes the max width is ignored.  Also, you have arbitrarily set max width to 1000 which is far too small.

A note on utility: to you this is just some obscure user pref but for me and I think a lot of others, it is a power feature.  I do a lot of buying and I have to compare a lot of information.  It is not unusual to have to compare fifty or more offers.  Good thing is that everything is online, the bad thing is having to visit and read separate pages.  By setting min width to a very low value and max width to larger than my screen width, I can set up an arbitrarily long series of tabs which I can visit one after the other with minimal mouse movement and clicks.  Typically just one or two clicks per site.  tab scrolling plays havoc with this and overall I haven't found much use for it (total PITA), but that's just me.

Tab scrolling is more like a safety valve than a feature and if the choice were between maintaining tab size control or having scrolling, I would dump scrolling in a heart beat.

BTW, now that you've moved the tab size control out to an add-on, you now have an external program that you have to maintain forever that is outside of the feature standards of Firefox.  Every time FF is updated you need to regression test your add-on.  Are you going to do that? or are we going to see your add-on break with FF5,6,... somewhere?
Comment 101 Dão Gottwald [:dao] 2011-04-07 08:01:31 PDT
"Spam" in this case is short for misguided comments as https://bugzilla.mozilla.org/page.cgi?id=etiquette.html defines them.
You want to discuss whether tabs should scroll by default? Belongs in mozilla.dev.apps.firefox or mozilla.dev.usability. Want to report a bug in my add-on? The right place for that is my e-mail inbox (since addons.mozilla.org still doesn't seem to have a proper forum for this... sigh). All that stuff won't be heard here.
Comment 102 Fabricio Campos Zuardi 2011-04-07 08:17:48 PDT
Hi Dao,

Since you brought the "discussion-on-the-right-channels" card, can you point us to the threads on mozilla.dev.apps.firefox and mozilla.dev.usability from before your change with the discussions where more people agreed with you that "I don't think the prefs are worth it"?

Its curious that commenting on a regression is now spamming and needs to be discussed outside bugzilla, while apparently one-man decisions that affects thousands of power users doesn't needed discussion at all.

Admit it, you miscalculated the importance of that preference and went ahead with a code change that made your life easier and maybe made the firefox code easier to maintain. It is ok if you want to apologize. But as the main responsible for the backlash now, I personally think you should be trying to be helpful, by participating in the other efforts to kill tabscroll once and for all, you should be trying to reach a compromise with the people affected by your change.

In summary, admit that the preference was worth it and you was wrong. Its the noble thing to do.
Comment 103 lucasbfr 2011-04-07 08:27:53 PDT
Fabricio and Dão, don't you both have a better use of your time than argue on wording? The enhancement was made in good faith, people complained about it in good faith (in the most prominent forum, we don't know the arcanes of Mozilla processes). 

An other bug has been created, let's move on...
Comment 104 Dão Gottwald [:dao] 2011-04-07 08:39:17 PDT
> But as the main
> responsible for the backlash now, I personally think you should be trying to be
> helpful, by participating in the other efforts to kill tabscroll once and for
> all, you should be trying to reach a compromise with the people affected by
> your change.

I understand that you missed that because of the many unrelated comments, but I provided an add-on and said we could add a hidden pref for letting tabs shrink with no minimum width (as opposed to hidden prefs for custom minimum and maximum tab widths). These are the compromises. (I have no intention to "kill tabscroll once and for all", as I personally think shrinking tabs till they are irrecognizable makes for a dumb UI.)
Comment 105 Fabricio Campos Zuardi 2011-04-07 08:46:57 PDT
I like the "hidden pref for letting tabs shrink with no minimum width". Can you please add me to the CC of that bug?

Thanks.
Comment 106 lucasbfr 2011-04-07 09:05:33 PDT
(In reply to comment #105)
> I like the "hidden pref for letting tabs shrink with no minimum width". Can you
> please add me to the CC of that bug?
> 
> Thanks.

You can click on "vote" on that bug. You should be CCed automatically after that (I'm not 100% sure)
Comment 107 Adam Purkrt 2011-04-07 09:38:04 PDT
(1) My newly created bug 648218 dealing with bringing back these two options has already been "RESOLVED WONTFIX". Anyhow, anybody interested in it - go there and vote. It probably won't change anything, but at least it provides one with the feeling of revolt, huh?

---

(2) The only rationale (behind the change) I can find on this page is in comment #32:

"We've decided that the "code complexity/maintenance cost" vs. "ease of tweaking" tradeoff is better with things as they are now."


~15 lines of straightforward code doesn't seem complex to me, it's imo definitely less complex than maintaining an addon. Let alone the intentions to introduce a new hidden pref for letting tabs shrink with no minimum width (comment #104).

---

(3) My comment about changing the status of this bug to "verified introduced" was a bit over the top.
Comment 108 KLB 2011-04-07 09:45:29 PDT
(In reply to comment #0)
> Created attachment 454024 [details] [diff] [review]
> patch
> 
> Users can override this using userChrome.css if they absolutely want it. I
> don't think the prefs are worth it.

Did having this option in the prefs hurt anything? No it didn't, so why remove it. Thanks to removing features like this users are now forced to download 3rd party addons for what should be or has been part of Firefox since the early days. If something isn't broken, don't "fix" it. 

In my case, the extension I developed as a companion to my Firefox theme Classic Compact did rely on tabMinWidth and tabMaxWidth and exposed these settings to the user.  Now I have to go to the hassle of programming back in, what you took out.

In all honestly, I really don't understand what Mozilla developers are thinking with changes like this. Really this bug should not be labeled "VERIFIED FIXED" but "INTENTIONALLY BROKEN".

As said above, legitimate criticism is not spam and this intentional breaking of functionality deserves heap loads of criticism.
Comment 109 Virtual_ManPL [:Virtual] - (ni? me) 2011-04-08 03:22:15 PDT
Guys just vote for bug #597564 (Default minimum tab width should be smaller (to prevent tabscroll))

It's better reduce minimum tab width than supporting readding removed setting from about:config.
Comment 110 Adam Purkrt 2011-04-10 03:35:08 PDT
For those who doesn't know (I didn't): location of userChrome.css:

win7: c:\Users\[username]\AppData\Roaming\Mozilla\Firefox\Profiles\[profilename].default\chrome\userChrome.css

winXP: c:\Documents and Settings\[username]\Application Data\Mozilla\Firefox\Profiles\[profilename].default\

(create the chrome directory & userChrome.css file if it doesn't exist)

put this into userChrome.css (comment #64) - tailor 250px & 100px to your liking

.tabbrowser-tab:not([pinned]) {
  max-width: 250px !important;
  min-width: 100px !important;
}

.tabbrowser-tab:not([fadein]) {
 max-width: 1px !important; min-width: 1px !important;
 max-width: 1px; min-width: 1px;
}

and - voila!


I have to admit that I'm actually beginning to understand the developers' rationale behind this change.


Still, userChrome.css is IMO anything but easily accessible, so I just filed a request for enhancement to add "about:userchrome" - which would basically open a large <textarea> with the content of the file + save/restart firefox buttons

bug #648838
Comment 111 aaronbrown138 2011-04-12 03:06:30 PDT
Guess I've been fighting moving to Google Chrome for a while. The real bug fix.
Comment 112 ff4-temp 2011-04-13 13:47:15 PDT
> It seems like people are generally not interested in specifying arbitrary tab
> size bounds but only in letting tabs shrink infinitely. In that case, rather
> than spamming this bug, which honestly won't lead anywhere, I would suggest
> filing a bug on providing that specific hidden pref.

I for one WANT the ability to set minimum/maximum tab width, the exact thing you removed.  The reason?  Corporate webmail.  How many new messages is displayed after the title.  I set the minimum width to just over this size and then can see if any new messages have arrived at a glance rather than having to change tabs throughout the day.

There's another bug opened regarding the comments here - https://bugzilla.mozilla.org/show_bug.cgi?id=622124   (My comment on that one to simply revert this change seems to have disappeared...)  So Dao, how exactly does 'spamming' this bug not accomplish anything?  It shows that people care about this breakage of functionality and several more bugs have been spawned from it.

If new bugs are what it takes to get this stupid change reverted, then I call on everybody who does not like this 'fix' to open a new bug on here once each day until this is fixed.  Would dealing with hundreds of new bugs about the same thing be more acceptable than simply commenting on the existing bug report?  (Of course, you'd probably refer to that as 'spamming' as well...)

Again, how many loyal Firefox users must you alienate before you accept the fact that this 'bug' was a stupid change with no real reason and revert it???
Comment 113 Matt 2011-05-12 11:51:52 PDT
Firefox4 on a netbook is virtually unusable for anything more than casual browsing with the default minimum tab width - it was certainly a shock for me seeing just 8 tabs after upgrading where there should be 30 or so. How can anyone possibly think that spending up to a minute scrolling around trying to find a tab, can be any better than a row of favicon-sized tabs?

It is also worth mentioning that for some reason my userChrome.css had 0400 permissions and this stopped the shouldn't-be-needed-plugin from working even though it doesn't appear to modify the file.

How hard can it be for the ff4 installer to see the minTabWidth user configuration and at very least throw up a message, if not do something sensible like delete the setting and create/modify the userChrome.css file?
Comment 114 ff4-temp 2011-05-13 10:21:46 PDT
> How can anyone possibly think that spending up to a minute scrolling around
> trying to find a tab, can be any better than a row of favicon-sized tabs?

Imagine you have a 28" widescreen monitor at high resolution in front of you instead of a netbook - a web site that displays useful information in the title is positioned at the far right edge of the display when the tab bar is scrolled full right.  When scrolled full left, the same tab is on the left edge of the display, meaning you can still see the information in the title without switching to that tab.

While it would be nice to freeze a tab in place (like freezing rows/columns in a spreadsheet) so that it wouldn't be scrolled with the rest, it unfortunately looks like I'm not going to be upgrading from FF36 anytime soon.


> How hard can it be for the ff4 installer to see the minTabWidth user
> configuration and at very least throw up a message, if not do something
> sensible like delete the setting and create/modify the userChrome.css file?

I don't see where it'd be hard at all.  This would however, depend on a basic supposition that I believe both you and I hold that has been shown to be false  - the devs would actually need to care about what the users want/use.  From what I've seen, this supposition is just not true.

For those who use the 'workaround' of using the add-on (which won't work if you want to set the minTabWidth to something other than 1) or modifying the userChrome.css file to change the behavior as was allowed by simple options in previous versions, don't expect either to continue.  I'd be willing to bet that after most people are used to the options being basically inaccessible, first the add-on won't be 'compatible' with a future version of FF, then the option of manually updating userChrome.css will be yanked away too.  For whatever reason, it appears that the devs no longer want FF to be flexible and adaptable to different situations.

It all boils down to flexibility.  Whoever dreamed up this change obviously doesn't care about flexibility of the software, which quite honestly is a mystery to me.  Whatever perceived harm leaving the existing options in is trivial to the number of people who do not like this change.



I've actually looked at building a custom version of FF4 with this change rolled out (so the options are again available), but don't want to buy Visual Studio in order to do so and cross-compiling looks like it'd be a nightmare.  Why it was written to disallow any of the seemingly 1.7 billion freely available compilers to build it is another mystery to me.  Of course, it is stopping me from modifying the software to make it more flexible...
Comment 115 ff4-temp 2011-06-03 14:21:14 PDT
For those monitoring this bug and wanting the ability to scroll tabs, there is hope on the horizon, albeit not from Firefox. :( 

Here's some reading material for the interested about the inability to scroll the tab bar being missing from Chrome.  Yup - the devs really did a lot of research before arbitrarily deciding to yank the ability of FF to size tabs/scroll the tab bar... nobody wants it at all.</heavy sarcasm>

http://blog.internetnews.com/skerner/2009/01/google-chrome-tab-overflow-pro.html
http://www.google.com/support/forum/p/Chrome/thread?tid=14821c8892db05c8&hl=en
http://www.google.com/support/forum/p/Chrome/thread?tid=7102227783b6bdb5&hl=en
http://www.google.com/support/forum/p/Chrome/thread?tid=4b4485be9cc67eba&hl=en
http://www.google.com/support/forum/p/Chrome/thread?tid=46a6cc6ac262c5b2&hl=en

Well it took a while, but Google listened!  A scrolling tab bar (like FF36 has) is being added to Chrome according to:

http://src.chromium.org/viewvc/chrome?view=rev&revision=80945


Until it's released, I'm going to stick with FF36.  I found and am using a tab scroll bar add-on for FF36 (a whopping 5 kb) - very nice and available at http://franklion.co.uk/TOS3.html   There's also a tab utility add-on that gives MANY new options for tab management (some of which are in FF4 and some of which aren't) available at https://addons.mozilla.org/en-US/firefox/addon/tab-utilities/ for those interested.

When Chrome gets the ability to scroll tabs, I'll be migrating to that.  I really hate to abandon a project I've used for so long (as mentioned before, I've been using mozilla/firefox for over a decade), but when the developers clearly don't care what the people want and botch up the software, I'll just use something else.

From what I've seen from the limited amount of time I've used it so far, Chrome is REALLY nice!  Beats FF hands-down in many areas, even with all the changes that were made for FF4.  (Many were done seemingly to make it look/act just like Chrome.  I've used Chrome more than FF4 so far just during the process of testing the browser, but this is what it looks like to me.  Maybe after Chrome has had scrolling tabs for a while, the FF team will follow suit and re-add the feature they yanked away.)  Plus, you can add/update/remove extensions without restarting your browser in Chrome - never realized just how annoying that is until I no longer had to do it. :) 

I also found a woodgrain theme for Chrome at https://chrome.google.com/webstore/detail/acacioeblcaliehepbljpahidmiobmlm , so once the scrolling tab feature is added, I'll have a faster browser. :)  (The pattern/color isn't nearly as nice as the walnut2 theme for FF though... :( )  Really, I should thank you devs for screwing up FF with this 'bug' - don't think I would've tried Chrome had you not deliberately broken Firefox.
Comment 116 david.m.oneill 2011-06-07 11:38:38 PDT
What the hell?  

"Five people commenting in a bug is not "a lot of blowback"." How about now?  Is now enough people registering just to say this change is a step backward, not a step forward?
Comment 117 N Brooks 2011-06-24 02:04:59 PDT
Who decided to waste time moving an extisting option to make it very hard to get to ?

I already had userChrome.css, with lots of old customisation for tab colour etc that don't work. Even if I adding the patch for tab widths, which no0-one here seems to agree on, they are unlikely to work for the next release.

Only being able to see 6 or 8 tabs is utterly useless to me. I have been with Firefox from the beginning, and am appauled at the way it is going. The developers have obviously been recruited from MS, as they seem more interested in style that substance.

There are too many, pointless changes these days, which do nothing more than annoy existing users. The developers appear to be as annoying as stupid architects who are mlore interested in making a 'distinctive' building than making something functional and usable.

I have gone back to V3.62 and will, very begrudgingly, be looking into switching to a more sensibly maintained browser :(
Comment 118 bogas04 2011-07-10 08:08:03 PDT
Changing tab width using CSS now breaks Bug 465086
Comment 119 Luciano A. Ferrer 2011-08-15 21:44:25 PDT
I have to agree with all the previous people that thinks this was a bad idea...
I saw that there is an extension to achieve "something similar", that have at least two "problems" (from my point of view)

1. the result is not the same... tabs are allways "minimized", in the previous behavior tabs were using full width until they needed less space (to not have horizontal scroll), and the horizontall scroll appears when you have a really big amount of tabs... but using that extension the tabs are allways minimized, bad...
2. having to install an extension to change a way to see tabs, the space where you "work"... is not good... why not add a few (just two) input places in the Tabs Firefox preferences?* there is plenty space to add that...

* If you think that about:config is not the place to have that... why not tab preferences???

Best regards, and thanks for all
Comment 120 galmok 2011-08-16 00:30:59 PDT
I just installed Nightly (Firefox 8.0a1) and Dao's addon Tab Width of course doesn't work with it. Fortunately another developer had gotten his addon to work with the latest FF. That addon is Tab Utilities. I just wish someone would revert the patch Dao made to remove the minTabWidth option and compile and release Firefox with working config options.
Comment 121 Luciano A. Ferrer 2011-08-23 06:32:45 PDT
I have searched for a feature request to add shrinkable tabs option (hidden, or public at menu)... did not find it... so I created it:
https://bugzilla.mozilla.org/show_bug.cgi?id=681317

(not fixed width, shrinkable... to favicon sizes, for example)

I hope to find it in future versions of firefox, it will be quite useful I think...
Comment 122 Akkana Peck 2011-10-15 12:10:53 PDT
Most of the comments here seem to concern Firefox 4. The CSS in comment 64 worked for FF 4, but does nothing in FF 6, even though FF6 has very similar code for .tabbrowser-tab:not([pinned]) in browser.css. Has anyone found CSS that works in Firefox 6 or later to reduce the minimum tab size? I'd also love to know how to hide that overly-large new-tab button.
Comment 123 Timmy Fox 2011-10-15 12:29:46 PDT
(In reply to Akkana Peck from comment #122)
> Most of the comments here seem to concern Firefox 4. The CSS in comment 64
> worked for FF 4, but does nothing in FF 6, even though FF6 has very similar
> code for .tabbrowser-tab:not([pinned]) in browser.css. Has anyone found CSS
> that works in Firefox 6 or later to reduce the minimum tab size? I'd also
> love to know how to hide that overly-large new-tab button.

That's weird, I haven't has issues with any version up to 9 Aurora.
I'm currently using Firefox 8 Beta as my everyday browser and I'm having no issues.

Try updating to the latest stable version 7. If that doesn't help, try navigating to %UserProfile%\AppData\Roaming\Mozilla\Firefox\Profiles\ then there should a "default" folder in there. Open it and delete the "Chrome" folder.
Then create a new folder which you'll name "Chrome" and inside it create a new text document. Open it with notepad and paste the below code in, be sure to save it as "UserChrome.css".

Code:

.tabbrowser-tab:not([pinned]) {
  max-width: 250px !important;
  min-width: 20px !important;

}
.tabbrowser-tab:not([fadein]) {
 max-width: 1px !important;
 min-width: 1px !important;
 max-width: 1px;
 min-width: 1px;
}


NOTE: By default this will only decrease the minimum tab size to 20px, you can modify the first "max-width" and "min-width" to any other preferred settings.

If that won't help I can't help you, since it should work in every version from 4b2 and up.

Regarding the new tab button, I am not aware of any code to decrease the size.
Comment 124 William Logan 2011-12-06 11:30:31 PST
Just tried Dao's patch at comment 76.  Received an error message--that add-on doesn't work with Firefox 8.0.1.

Please help!  I hate having tabs at the default.
Comment 125 Luciano A. Ferrer 2011-12-06 11:40:07 PST
@William use this: lafer

https://bugzilla.mozilla.org/show_bug.cgi?id=574654#c110
( #110 aproach )
Comment 126 Luciano A. Ferrer 2011-12-06 11:43:11 PST
And vote for this feature request: https://bugzilla.mozilla.org/show_bug.cgi?id=681317
Comment 127 William Logan 2011-12-06 11:56:11 PST
Thanks, Luciano, but I'm afraid trying to change Chrome is a bit beyond me.  (My XP doesn't even have a Chrome folder, so far as I can see--I followed the directions.)  I hope someone will develop a new add-on.  All the complaint in the world doesn't seem to have restored the old about:config fix.
Comment 128 Luciano A. Ferrer 2011-12-06 12:06:04 PST
Read carefully... #110 have two lines, one for win7, the other for xp

I also says "(create the chrome directory & userChrome.css file if it doesn't exist)"

etc... etc... etc...

Do not forget to change 250 & 100 values to your needs (its pixels)
Comment 129 William Logan 2011-12-06 12:26:24 PST
Thanks, Luciano.  I did try that, but then I wasn't sure how to paste in your code.  I guess I should put it into WorkPerfect or WordPad and save to that file.  Sorry to be such a novice.  I appreciate your help.
Comment 130 William Logan 2011-12-06 21:20:40 PST
Having followed your directions, I'm stumped.  You say to create a Chrome directory at the appointed spot--is that the same as a folder?  And since nothing will be in the folder, will the sole occupant be the file (your lines of code) saves as "userChrome.css"?
Comment 131 jeff wilkinson 2011-12-08 20:26:14 PST
This is just nuts.  There are 131 comments now on this, and a number of people registered just to comment on it.  Other than the few developers commenting, pretty much everyone seems to be against removing the previous tabMinWidth pref.  

But even if you ignore the votes, comments, other bugs filed on this, and the many users downloading the admittedly-imperfect add-on's just to 'fix' this... 

It should seriously make you think that the userChrome.css solution is anything but a solution when *so* many people have to post CSS details, they are all different, and that even the complex CSS posted by these far-above-normal users doesn't work correctly... 

... or if one of the many userChrome.css solutions *does* work completely for FF (v8?) then which one?  

This is obviously *NOT* a simple solution for users, nor a reasonable solution to the removal of tabMinWidth.  

I vote you put browser.tabs.tabMinWidth back, or make this a config option. 

(heck, I had hassles with the damn tab width and tab scrolling just trying to read the bugs and 'solutions' offered on this...)
Comment 132 Timmy Fox 2011-12-09 00:32:17 PST
For me, 'my' code for UserChrome.css in comment #123 works fine at least for me on 3 different computers, 2 desktops and 1 laptop. Not sure how it works for OSX and Linux since I don't use it for those, but in Windows it works flawlessly as said up to at least 9 Beta which currently is my everyday browser.
Comment 133 Timmy Fox 2011-12-09 01:45:34 PST
That said, I agree that the browser.tabs.tabMinWidth and browser.tabs.tabMaxWidth worked way better and was much easier.
Comment 134 Facyla 2012-05-02 04:58:03 PDT
I don't understand the way firefox moves since about a year, getting more unstable and removing useful parameters at every new version. That particular featyure was not so sensible it should be hidden and require coding abilities ! Even the documentation about this is missing, although it's a very common and useful parameter.
I'm now at a point i consider switching to another browser, despite the objective advantages of FF.
Comment 135 kerry 2012-05-02 20:32:02 PDT
Created a user account just to comment about the unexpected change in browser.tabs.tabminwidth. I update to FF 13 yesterday, and after about 15 minutes and several FF restarts I had to start googling the tab scrolling issue further. Finally found this thread and thought to myself how odd it was to take something out of the browser (about:config) and require a 3rd party plugin to make a change, and then find some snippet of CSS code that someone had wrote. Why would this preference not be moved into the upgrade?
Comment 136 Nuno 2012-06-13 23:14:20 PDT
+1 vote for bringing "browser.tabs.tabMinWidth" and "browser.tabs.tabMaxWidth" back, IMO it makes no sense to remove such an option if there so many other options on about:config of less importance.
Comment 137 philbyjohn 2012-09-10 04:42:40 PDT
+2
Comment 138 ff4-temp 2012-09-19 14:49:14 PDT
This is absolutely hilarious!  Over 2 years later and people are still complaining about this 'fix'.  Firefox doesn't give a **** about what people actually want and instead are chasing after Chrome.  I'd wager that the reason the revision numbers of Firefox are being incremented so fast is to catch up with Chrome's versioning.  Well, if I wanted to use Chrome, I'd simply download the portable version of Iron and call it good.  (Which I've done - good browser, much better than the latest Firefox from what I've seen.)

My primary browser is still Firefox 3.6 and it's what I install for people who don't know there's life outside IE - wrote a batch file to turn off FF updates with a click.  It's really pathetic when you think about it, but that's what you get when products are coded by people who don't care what people want.
Comment 139 ff4-temp 2012-09-19 14:52:40 PDT Comment hidden (abuse)
Comment 140 Brian 2012-10-07 00:13:39 PDT
When upgrading from 14.0.1 to 15.0.1 (win7 64), Firefox lost my browsing session, removed most of my extensions & reset config. 

It was only the last bit that infuriated me, tab scrolling has returned, so much for a "small one time cost" to turn it off.

No wonder I am always reluctant to upgrade when stuff like this breaks.
Comment 141 raid_kbd 2012-10-20 19:20:32 PDT
The following userChrome.css code to set parameters for min/max tabwidth breaks tab functionality in Firefox 16.0.1

.tabbrowser-tab:not([pinned]) {
  max-width: 250px;
  min-width: 100px;
}


These settings may have also caused problems launching firefox.
Comment 142 Timmy Fox 2012-10-21 05:42:07 PDT
(In reply to raid_kbd from comment #141)
> The following userChrome.css code to set parameters for min/max tabwidth
> breaks tab functionality in Firefox 16.0.1
> 
> .tabbrowser-tab:not([pinned]) {
>   max-width: 250px;
>   min-width: 100px;
> }
> 
> 
> These settings may have also caused problems launching firefox.

Try this one:

Comment #25
> .tabbrowser-tab:not([pinned]) {
>   max-width: 250px !important;
>   min-width: 100px !important;
> 
> }
> .tabbrowser-tab:not([fadein]) {
>  max-width: 1px !important;
>  min-width: 1px !important;
>  max-width: 1px;
>  min-width: 1px;
> }

Also there is an Addon that will allow you to adjust this:
(In reply to Henrik Skupin (:whimboo) from comment #76)
> An add-on has been made available by Dao which is now available on AMO and
> let you define the minimum and maximum tab width:
> 
> https://addons.mozilla.org/en-US/firefox/addon/custom-tab-width/
Comment 143 poh 2012-11-02 03:50:10 PDT
Since updating to 16.0.2 (on OSX) neither of the userChrome.css suggestions above nor the custom-tab-width Extension (no longer 'compatible') work now.

Any suggestions?

I'd add my vote to just putting the setting back as a config option (or 'advanced' GUI option).
Comment 144 ben.moore 2012-11-02 20:35:54 PDT
Silly p.ohanlon@gmail.com, didn't you see that the developer said over 2 YEARS ago that "I don't think the prefs are worth it."
Comment 145 philbyjohn 2012-11-03 01:02:41 PDT
Dão Gottwald, do us all a favor will ya, take a break and don't come back.
Reverting this retarded change is a hopeless pursuit, good luck firefox, keep up your hypocritical motto of "Bringing together all kinds of awesomeness ..."
Comment 146 stockwoodie 2012-12-11 11:07:36 PST
The scrolling tabs as AWFUL.  Where is my about:config setting to control the tabs?  I have 15-20 tabs open at any given time and I like to see them all.  Scrolling is NOT user friendly.  Why should I need an Add-On for this usability issue?  It should be fixed.
Comment 147 lynn.collier 2013-01-08 18:27:11 PST
I'm a mom and just an average user who routinely has a large number of tabs open.  I'm running Firefox 16.0.2 on a Mac using OSX 10.7.5  I am one who created a bugzilla account just to chime in on this issue.  I don't really care what the min tab size is, but I can no longer put the mouse pointer on a tab and scroll left or right to scroll through my tabs.  I just kept wondering where all my tabs went to and why I couldn't see the beginning or ending tabs.  Googling led me to the min/max tab size on about:config which I was confident about changing without any problem but am very leery about userchrome.css and would need to do serious research before attempting.  I DO NOT like the tab scrolling using the pull down box. It is extremely cumbersome, not to mention that it took effort to find that is was even there.  I just wanted voice my opinion as a basic, non-programming user.
Comment 148 ff4-temp 2013-01-28 15:51:17 PST
Lynn - check out an add-on called Tab Overflow Scrollbar at http://franklion.co.uk/TOS3.html (not my add-on).  I run it, albeit on Firefox 3.6.28 due to the sheer idiocy of 'fixes' like this, and believe it simulates endless width for the tab bar with a scroll bar underneath.  Makes dealing with large numbers of tabs MUCH easier and if it works how I think and is compatible with firefox 16, it should give you what you want.  If you continue to have problems, you might want to revert to firefox 3.6.28 and simply use Iron/Chrome or Safari for the very few sites it has trouble with.  More than a little lame and stupid?  Absolutely, but then so are the Firefox developers for making changes like this.  (Get this - I still install 3.6.28 on people's machines when they have trouble... over 90% of them love me for it because they like it better than recent versions.)

I just keep reflecting on how proud the originator of this 'bug' must be - so many average users registering for accounts just to complain about something dreamed up because he doesn't 'think the prefs are worth it'.  I know that I, as a programmer myself, would be *SO* proud to have people still complaining about a change I made 30+ months after the fact... now THAT's staying power!
Comment 149 lynn.collier 2013-01-28 19:56:09 PST
Thanks for the reply, ff4-temp.  When I went to look at the add-on, I checked my version.  It told me I had an update ready to be installed and when I installed it, version 18.0.1, I was suddenly able to do a left/right scroll through my tabs on my Mac.  Yeah, I can't see all of the tabs at once, but I can easily scroll left and right, just like I'm used to doing. For those of you not using a Mac and wanting easier access to your tabs than the pull down scroll button, something like Tab Overflow Scrollbar works quite well.(In reply to ff4-temp from comment #148)
>
Comment 150 poh 2013-01-29 01:29:52 PST
Just for the record I'm now on Firefox 18.0.1 on OSX 10.7.5 and I can report that this plugin is working again. I guess there must have been some issue with FF 16.0.2 and tab width - as I think it was ok for 17.X as well.
Comment 151 Gonzi 2015-10-08 12:44:08 PDT
This was removed as a DESIGN CHOICE? Are U effin kidding me? Did you smoke something when you did that? The main reason, why I (and I am certainly not alone) use Firefox is because it has powerful addons, because I can change things that I don't like, because it has hidden config if I want to tweak something that isn't so typical to tweak... and you are removing these parameters instead of adding to them?
What are you trying to be?
Apple like company that seems to know what every user wants and needs and as a result doesn't allow for customization?
But yeah, I have some Pocket preinstalled now... that was very important to me (all of those 10 seconds that took me to remove that button)... I know that this isn't very nice bug message, and it isn't supposed to be, because I cannot comprehend how someone in his right mind could do that.
Comment 152 jusore 2016-02-02 00:57:05 PST
This change is a ****. The extension made to fix this **** doesn't work for FF 44

Note You need to log in before you can comment on or make changes to this bug.